Package fr.gouv.vitam.common.model

# Enum Class LifeCycleStatusCode

java.lang.Object
java.lang.Enum<LifeCycleStatusCode>
fr.gouv.vitam.common.model.LifeCycleStatusCode

All Implemented Interfaces:
  `Serializable`, `Comparable<LifeCycleStatusCode>`, `Constable`

public enum LifeCycleStatusCode extends Enum<LifeCycleStatusCode>
Enum StatusCode different constants status code for workflow , action handler and process

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LIFE_CYCLE_COMMITTED`
  LIFE_CYCLE_COMMITTED : indicates that the lifeCycle has been committed
  `LIFE_CYCLE_IN_PROCESS`
  LIFE_CYCLE_IN_PROCESS : indicates that the lifeCycle hasn't been committed yet

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LifeCycleStatusCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LifeCycleStatusCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LIFE_CYCLE_COMMITTED

    public static final LifeCycleStatusCode LIFE_CYCLE_COMMITTED
    LIFE_CYCLE_COMMITTED : indicates that the lifeCycle has been committed

  - ### LIFE_CYCLE_IN_PROCESS

    public static final LifeCycleStatusCode LIFE_CYCLE_IN_PROCESS
    LIFE_CYCLE_IN_PROCESS : indicates that the lifeCycle hasn't been committed yet

- ## Method Details

  - ### values

    public static LifeCycleStatusCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LifeCycleStatusCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null